
Redmine - Defect #9576

403 forbidden on attachments, after upgrade to 1.2.0, 1.2.1 and 1.2.2

2011-11-15 10:46 - Stéphane Liabat

Status: Closed Start date: 2011-11-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.2

Description

From an 1.1.0 fully functionnal.

I have upgrade from version 1.1.0 to 1.2.0 yesterday. Everythings work fines, except the files attachments.

We can see the attachments section, but we can't download them (files), neither delete them :

403 forbidden page.

I have test with 1.2.1 and 1.2.2, and it's the same effect.

I have check the rights and nothing was changed.

Related issues:

Is duplicate of Redmine - Defect #9055: Version files in Files module cannot ... Closed 2011-08-13

History

#1 - 2011-11-15 10:57 - Etienne Massip

Log, plugins, environment, etc. please provide details according to SubmittingBugs.

#2 - 2011-11-15 14:23 - Stéphane Liabat

Sorry.

Database : mysql  Ver 14.12 Distrib 5.0.22, for redhat-linux-gnu (i686) using readline 5.0

Ruby : ruby 1.8.6 (2007-09-24 patchlevel 111) [i686-linux]

Rails : rails (2.3.14, 2.3.11, 2.3.5)

Redmine : 1.2.2 11/11/2011 from rubyforge

Log :

Processing AttachmentsController#download (for 10.246.108.36 at 2011-11-15 09:10:14) [GET]

Parameters: {"action"=>"download", "id"=>"1516", "controller"=>"attachments", "filename"=>"DOC_8073-01_Installation_v2.pdf"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:read_authorize] rendered_or_redirected.

Completed in 88ms (View: 75, DB: 5) | 403 Forbidden [http://merlin/attachments/download/1516/DOC_8073-01_Installation_v2.pdf]

#3 - 2011-11-15 14:24 - Stéphane Liabat

plugins : just one, wiki_extensions, but i have desinstalled him, and same problem.

#4 - 2011-11-15 16:16 - Etienne Massip

Did your database migration went smoothly?

#5 - 2011-11-15 16:36 - Stéphane Liabat

Yes, no errors with the migration script.

#6 - 2011-11-15 18:17 - Etienne Massip

- Category set to Attachments

- Affected version (unused) set to 1.2.2

- Affected version set to 1.2.2

#7 - 2011-11-15 20:32 - Jean-Philippe Lang
- Resolution set to Cant reproduce

#8 - 2011-11-16 08:56 - Etienne Massip

Is this tied to the activation of the issue tracking module in the project settings as reported in #9055 and #9360?

#9 - 2011-11-16 09:07 - Stéphane Liabat

Etienne Massip wrote:

Is this tied to the activation of the issue tracking module in the project settings as reported in #9055 and #9360?

 Yes !

I have read the 9055, i have check 'issue tracking' in project, and now i can download files.

so it's clearly a major bug. I have test with 1.2.0.

I will stay in 1.1.0 until this bug correct, beacuase, we don't use the issue tracking system, and i don't want to enable issue tracking, just to permit

download.

so, stay this bug alive :)

#10 - 2011-11-16 09:11 - Etienne Massip

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Duplicate

Ok, thanks I close this one as duplicate of #9055.
